package cn.com.ctop.kuaishou.modules.batch.service;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaiShouCampaign;
import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: 快手-获取广告计划信息
 * @Author: jeecg-boot
 * @Date: 2019-07-23
 * @Version: V1.0
 */
public interface IKuaiShouCampaignService extends IService<KuaiShouCampaign> {

    void replaceBatch(List<KuaiShouCampaign> campaigns);

    List<JSONArray> getJsonArrByAccount(Long accountId, int idSize);

    JSONArray queryCampaignIdByAccountId(Long accountId);

    KuaiShouCampaign getCampaignByAccountAndCampaign(Long accountId, Long campaignId);
}
